Delete feedback
curl --request DELETE \
--url https://api.example.com/talk2data/chat/sessions/{session_id}/turns/{turn_id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'x-project-id: <x-project-id>'import requests
url = "https://api.example.com/talk2data/chat/sessions/{session_id}/turns/{turn_id}/feedback"
headers = {
"x-project-id": "<x-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-project-id': '<x-project-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/talk2data/chat/sessions/{session_id}/turns/{turn_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}chat-sessions
Delete feedback
Delete the current user’s feedback for the turn. 403 if not owned, 404 if session/turn/feedback not found.
DELETE
/
talk2data
/
chat
/
sessions
/
{session_id}
/
turns
/
{turn_id}
/
feedback
Delete feedback
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Project identifier
Response
Successful Response
The response is of type Response Delete Feedback Talk2Data Chat Sessions Session Id Turns Turn Id Feedback Delete · object.
Was this page helpful?
⌘I

